#ifndef LORAMODULEINTERFACE_H
#define LORAMODULEINTERFACE_H

#include "ChaletGui.h"
#include <QTimer>
#include "LoraModuleInterfaceData.h"


class CLoraModuleIFMasterCtrlInterface;

class CLoraModuleInterface : public QObject
{
    Q_OBJECT
public:
    CLoraModuleInterface(CChaletGui *ChaletGuiPtr);
    int Start();

    int ConnectedToMaster(bool connected);
    int NewLoraModuleStatusData(CLoraModuleInterfaceStatus Data);

    CLoraModuleIFMasterCtrlInterface *mNetworkInterface;
    CChaletGui *mChaletGui;
    QTimer *mLoraModulePollTimer;

public slots:
    void LoraModulePollTimerExpired();
};

#endif // LORAMODULEINTERFACE_H
